バージョンが異なる場合は、いろいろ違いがあるので、最新バージョンで環境を作って、最新のAPIを確認したい

###バージョン

  • ruby 1.9.2
  • rails 3.2.2
  • rspec 2.9.0
  • spork 0.9.0

##手順

  • Gemfileに追加
    • gem 'rspec-rails'
    • gem 'spork'
  • bundle installを実行してgemインストール
  • rails g rspec:installでrspec関連ファイルを生成
  • spork --bootstrapでspork関連ファイルを生成
  • rails g scaffold post title:string body:textを実行すると、ファイルがいっぱい生成される
    • この中にspec/view/配下のファイルを参考してViewテストの書き方を勉強したい
  • ハマったこと
    • Gemfileに追加する時、gorupを使いたかったが、:development, :testで限定すると、何かrails g scaffold …で生成する時、spec関連のテストクラスは作ってくれない
    • やはりGemfileの書き方はよくわかってないせい。とりあえずは、直接にgroupは書かない